This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 203009 - enable libedit support for sftp
enable libedit support for sftp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 15:21 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: openssh-4.7p1-1.fc8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 02:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-08-17 15:21:38 EDT
I cannot use the up and down arrow keys when I sftp from fc5->fc5.
It would be good if sftp supported readline.
Comment 1 Miloslav Trmač 2007-03-28 06:56:11 EDT
Thanks for your report.

readline is under GPL, which is incompatible with the OpenSSL license.

sftp can use libedit if present, however libedit is currently in Fedora Extras
and thus not available for Fedora Core packages yet.  This should change in
Fedora 7.
Comment 2 Tomas Mraz 2007-09-07 02:52:14 EDT
libedit will be enabled in openssh-4.7p1-1.fc8

Note You need to log in before you can comment on or make changes to this bug.